
<!-- Toolbar -->
<div fxLayout="column" style="height: 100%;">
	<div class="toolbar mat-elevation-z8"
   		fxLayoutAlign="center center" fxFlex="5%">
		<div>
			{{'COMMON.APPLICATION_NAME' | translate}}
		</div>
	</div>
	<div fxLayoutAlign="center center" fxFlex="5%"></div>
	<div fxLayout="row" >
		<div fxLayoutAlign="center flex-start" fxFlex="80%" style="border: 1px solid">
			<app-node-tree (selectedNodeChange) = "selectedNodeChange($event)"></app-node-tree>
		</div>
		<div fxLayoutAlign="center center" fxFlex="20%">
			<div fxLayout="column" fxLayoutAlign="center center">
				<div  class="margin20">{{'COMMON.INTRODUCTION' | translate}}</div>
				<button class="margin5 custom-button" type="button" (click) = "openInsertNodeDialog()" >
					{{'COMMON.FORM.ADD_NODE' | translate}}
				</button>
				<button class="margin5 custom-button" type="button" *ngIf="this.selectedNode" (click) = "openUpdateNodeDialog()" >
					{{'COMMON.FORM.UPDATE_NODE' | translate}}
				</button>
				<button class="margin5 custom-button" type="button" *ngIf="this.selectedNode" (click) = "deleteNode()" >
					{{'COMMON.FORM.DELETE_NODE' | translate}}
				</button>
				<button class="margin5 custom-button" type="button" *ngIf="this.selectedNode && !this.singleNodeTreeView" (click) = "showSingleNodeTree(); this.singleNodeTreeView = true;" >
					{{'COMMON.FORM.SHOW_SINGLE_TREE_NODE' | translate}}
				</button>
				<button class="margin5 custom-button" type="button" *ngIf="this.selectedNode && this.singleNodeTreeView" (click) = "showCompleteNodeTree(); this.singleNodeTreeView = false;" >
					{{'COMMON.FORM.SHOW_COMPLETE_TREE_NODE' | translate}}
				</button>				
			</div>
		</div>
	</div>
</div>



<router-outlet></router-outlet>
